Name:           libctl
Version:        3.0.2
Release:        9%{?dist}
Summary:        Guile-based support for flexible control files

Group:          System Environment/Libraries
# integrator.c and cintergrator.c contain code licensed under GPLv2+
# The rest of the code is LGPLv2+, but most restrictive license wins
# for the package.
License:        GPLv2+
URL:            http://ab-initio.mit.edu/wiki/index.php/Libctl
Source0:        http://ab-initio.mit.edu/libctl/libctl-%{version}.tar.gz
Patch0:         libctl-3.0.2-undefined_nonweak_symbs.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  autoconf, automake, libtool
BuildRequires:  gcc-gfortran, guile-devel
Requires:       guile

%description
The libctl package is a Guile-based library that provides support for
flexible control files in scientific simulations.

%package devel
Summary:        Development files for libctl
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
This package contains the development files for libctl.

%prep
%setup -q
%patch0 -p1

%build
libtoolize
autoreconf
%configure F77=gfortran --enable-shared --disable-static \
  --includedir=%{_includedir}/ctl
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc COPYING AUTHORS NEWS 
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root,-)
%doc ChangeLog
%{_bindir}/gen-ctl-io
%{_includedir}/ctl
%{_libdir}/*.so
%{_mandir}/man1/*
%{_datadir}/libctl

%changelog
* Sun Mar 22 2009 Robert Scheck <robert@fedoraproject.org> - 3.0.2-9
- Rebuilt against libtool 2.2

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri May 23 2008 Jon Stanley <jonstanley@gmail.com> - 3.0.2-7
- Fix license tag

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 3.0.2-6
- Autorebuild for GCC 4.3

* Sat Aug 25 2007  Ed Hill <ed@eh3.com> - 3.0.2-5
- rebuild for BuildID

* Sat Oct 15 2006  Ed Hill <ed@eh3.com> - 3.0.2-4
- put headers in a subdir to avoid possible name collisions

* Sat Oct 14 2006  Ed Hill <ed@eh3.com> - 3.0.2-3
- disable static libs

* Sat Oct 14 2006  Ed Hill <ed@eh3.com> - 3.0.2-2
- fix undefined non-weak symbols in libctlgeom

* Wed Sep 20 2006  Ed Hill <ed@eh3.com> - 3.0.2-1
- initial package creation

